package com.company;

import java.util.HashMap;
import java.util.Map;

public class Card {
    // Номинал карты (2 - 14)
    private int Denomination;
    // Масть карты
    Lear.NAME Lear;
    // Флаг, отвечающий за выдачу этой карты на руки игроку
    boolean onHands = false;

    /**
     * Получить номинал карты
     * @return int
     */
    public int getDenomination() {
        return Denomination;
    }

    /**
     * Установить номинал карты. Диапазон допустимых значений 2-14.
     * @param denomination номинал карты
     * @return true если удалось установить
     */
    public boolean setDenomination(int denomination) {
        // Проверим, что переданное значение в метод находится
        // в нужном диапазоне допустимых значений.
        if (denomination < 2 || denomination > 14) {
            // Вернуть ложь, если переданное значение некорректное
            return false;
        }
        // Установить значение переданное в метод текущей карте
        Denomination = denomination;
        // Вернуть истину, если номинал установлен
        return true;
    }
}
