package com.company;

/**
 * Перечисление карт игрока.
 * FIRST - первая карта (или 0)
 * SECOND - вторая карта (или 1)
 */
enum PLAYER_CARD {
    FIRST,
    SECOND,
}

public class Player {
    private final Card[] cards = new Card[2];

    /**
     * Установить карту в указанный слот
     * @param slot
     * @param card
     */
    public void setCards(PLAYER_CARD slot, Card card) {
        cards[slot.ordinal()] = card;
    }

    public Card getCards(PLAYER_CARD slot) {
        return cards[slot.ordinal()];
    }
}
